Modbot Docs
APIAPI referenceSettings

Add ban reason

POST/api/settings/ban-reasons

Add a reason to the end of the list.

Needs the EditClassifications permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/settings/ban-reasons" \  -H "Content-Type: application/json" \  -d '{    "label": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "label": "string",  "description": "string",  "sortOrder": 0,  "isActive": true,  "needsWrittenReason": true,  "usedFor": [    "string"  ]}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.